classification
Title: py3k _bsddb.c patch to use the new buffer API
Type: Stage:
Components: Extension Modules Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: gregory.p.smith Nosy List: gregory.p.smith
Priority: normal Keywords: patch

Created on 2007-08-27 07:45 by gregory.p.smith, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
py3k-_bsddb-bufferAPI-001.patch gregory.p.smith, 2007-08-27 07:45
Messages (2)
msg55334 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2007-08-27 07:45
This is my svn diff of a py3k Modules/_bsddb.c converted to use the
buffer API.  I'm submitting it here as so it doesn't get misplaced as it
currently won't work until bytes objects support PyBUF_LOCKDATA (a
separate bug)
msg55356 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2007-08-28 08:24
committed to py3k branch using SIMPLE instead of LOCKDATA: r57610
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 3.0
2007-08-28 08:24:57gregory.p.smithsetstatus: open -> closed
resolution: accepted
messages: + msg55356
2007-08-27 07:45:53gregory.p.smithcreate